### Function

# GLib mem_is_system_malloc

deprecated: 2.46 since: 2.0

#### Declaration

    gboolean
    g_mem_is_system_malloc (
      void
    )

#### Description

Checks whether the allocator used by `g_malloc()` is the system’s malloc implementation. If it returns `TRUE` memory allocated with `malloc()` can be used interchangeably with memory allocated using g_malloc(). This function is useful for avoiding an extra copy of allocated memory returned by a non-GLib-based API.

Available since: 2.0

Deprecated since: 2.46

GLib always uses the system malloc, so this function always returns `TRUE`.

#### Return value

Type: `gboolean`

If `TRUE`, `malloc()` and `g_malloc()` can be mixed.